Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.service.impl
Class QueueListSupport.Node

    java.lang.Object
      org.codehaus.activemq.service.impl.QueueListSupport.Node

All Implemented Interfaces:
  QueueListEntry, java.io.Serializable

Enclosing class:
  QueueListSupport

public static class QueueListSupport.Node
extends java.lang.Object
implements java.io.Serializable, QueueListEntry

See Also:
  Serialized Form

Field Summary
`java.lang.Long` | `key`
`java.lang.Long` | `nextKey`
`java.lang.Long` | `previousKey`
`java.lang.Object` | `value`

Constructor Summary
`QueueListSupport.Node()`

Method Summary
`byte[]` | `asBytes()`
`void` | `fromBytes(byte[] data)`
`java.lang.Object` | `getElement()` Get the Object value for this entry

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### previousKey

    public java.lang.Long previousKey

### nextKey

    public java.lang.Long nextKey

### value

    public java.lang.Object value

### key

    public transient java.lang.Long key

Constructor Detail

### QueueListSupport.Node

    public QueueListSupport.Node()

Method Detail

### getElement

    public java.lang.Object getElement()

  Description copied from interface: `QueueListEntry`
  Get the Object value for this entry

  Specified by:
    `getElement` in interface `QueueListEntry`
  Returns:

### asBytes

    public byte[] asBytes()
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### fromBytes

    public void fromBytes(byte[] data)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.